POST /data/attachment-files

Create a new attachment file with data provided in the request body. JSON format is expected.

application/json

Body Required

  • name string
  • comment_id string(uuid)

Responses

  • 201 application/json

    Attachment file created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • comment_id string(uuid)
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

POST /data/attachment-files
curl -X POST "http://api.example.com/data/attachment-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "attachment.pdf",
  "comment_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}'
import requests

url = "http://api.example.com/data/attachment-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "attachment.pdf",
    "comment_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/attachment-files' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"attachment.pdf","comment_id":"a24a6ea4-ce75-4665-a070-57453082c25"}'
Request examples
{
  "name": "attachment.pdf",
  "comment_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "attachment.pdf",
  "comment_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}